Subject: bug#71883: [PATCH] Fix tab-bar-auto-width with customized tab-bar-tab-face-function

From: Juri Linkov <[email-masked]>
Date: Mon, 19 Aug 2024 19:57:13 +0300

close 71883 31.0.50
thanks

>>> +(defun tab-bar-auto-width-predicate-default (item)
>>> +  "Accepts tab ITEM and returns non-nil for tabs and tab groups."
>>> +  (string-match-p
>>> +   ;; (rx bos (or "current-tab" "current-group" "tab-" "group-"))
>>> +   "\\`\\(?:current-\\(?:group\\|tab\\)\\|\\(?:group\\|tab\\)-\\)"
>>> +   (symbol-name (nth 0 item))))
>>
>> In this part please remove the current group from the default implementation,
>> because it looks too ugly, and it was not resized before this change, since
>> tab-bar-auto-width-faces didn't contain the tab-bar-tab-group-current face.
>
> If the simpler change offers feature parity, that sounds good to me.

Thanks for the patch, I pushed it to master, then ameliorated it
to keep backwards-compatibility for users customized these faces,
but by default using your predicate on symbols.